import { r as registerInstance, h, a as Host } from './index-ec6d8311.js';
import { x as watchBlockNumber } from './index-0cff6f85.js';
import { s as state } from './wallet-e9fc9cfd.js';

const NKDropSupplyText = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.supply = undefined;
    this.maxAmount = undefined;
  }
  componentWillLoad() {
    this.disconnect = watchBlockNumber({ listen: true }, async () => {
      this.supply = (await state.diamond.base.totalSupply()).toNumber();
      this.maxAmount = (await state.diamond.apps.drop.maxAmount()).toNumber();
    });
  }
  disconnectedCallback() {
    this.disconnect();
  }
  render() {
    return (h(Host, null, this.maxAmount === 0
      ? this.supply
      : `${this.supply} / ${this.maxAmount}`, h("slot", null)));
  }
};

export { NKDropSupplyText as nk_drop_supply_text };

//# sourceMappingURL=nk-drop-supply-text.entry.js.map