import { r as registerInstance, h, a as Host } from './index-ec6d8311.js';
import { x as watchBlockNumber } from './index-0cff6f85.js';
import { s as state } from './wallet-e9fc9cfd.js';

const NKEditionSupplyText = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.quantity = undefined;
    this.maxQuantity = undefined;
    this.editionId = undefined;
  }
  componentWillLoad() {
    this.disconnect = watchBlockNumber({ listen: true }, async () => {
      const edition = await state.diamond.apps.edition.getEdition(this.editionId);
      this.quantity = edition.quantity.toNumber();
      this.maxQuantity = edition.maxQuantity.toNumber();
    });
  }
  disconnectedCallback() {
    this.disconnect();
  }
  render() {
    return (h(Host, null, this.maxQuantity === 0
      ? this.quantity
      : `${this.quantity} / ${this.maxQuantity}`, h("slot", null)));
  }
};

export { NKEditionSupplyText as nk_edition_supply_text };

//# sourceMappingURL=nk-edition-supply-text.entry.js.map