import { r as registerInstance, h, a as Host } from './index-ec6d8311.js';
import { x as watchBlockNumber, m as getAccount } from './index-0cff6f85.js';
import { s as state } from './wallet-e9fc9cfd.js';

const NKIsHolder = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.isHolder = false;
    this.tokenId = undefined;
  }
  componentWillLoad() {
    this.disconnect = watchBlockNumber({ listen: true }, async () => {
      const account = getAccount();
      if (this.tokenId) {
        this.isHolder =
          (await state.diamond.base.ownerOf(this.tokenId)) === account.address;
      }
      else {
        this.isHolder =
          (await state.diamond.base.balanceOf(account.address)).toNumber() > 0;
      }
    });
  }
  disconnectedCallback() {
    this.disconnect();
  }
  render() {
    return h(Host, null, this.isHolder ? h("slot", null) : null);
  }
};

export { NKIsHolder as nk_is_holder };

//# sourceMappingURL=nk-is-holder.entry.js.map